
/*  @(#)mimep_fr.h 1.2 95/07/07
 *
 *  Copyright (c) Mikael Cam.
 *                All rights reserved.
 *
 *  Permission is given to distribute these sources, as long as the
 *  copyright messages are not removed, and no monies are exchanged.
 *
 *  No responsibility is taken for any errors inherent either
 *  to the comments or the code of this program, but if reported
 *  to me then an attempt will be made to fix them.
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <X11/Xos.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <ctype.h>
#include <unistd.h>
#include "lineopts.h"
#include "error.h"
#include "../../common/option.h"
#include "../../mp/header.h"
#include "../../mp/input.h"
#include "../../mp/print.h"


/* Parameters of the output document */

#define NONE              " aucun"
#define UNKNOWN           "un inconnu"  
#define TITLEH_FROM       "Message de :"
#define H_FROM            "From:"
#define TITLEH_TO         "Message pour "
#define H_TO              "To:"
#define TITLEH_SUBJECT    "Sujet :"
#define H_SUBJECT         "Subject:"
#define TITLEH_DATE       "Date :"
#define H_DATE            "Date:"
#define H_CC              "Cc:"
#define H_APPFROM         "Apparently-From:"
#define H_APPTO           "Apparently-To:"
#define H_NEWSGROUP       "Newsgroup:"
#define H_REPLY           "Reply-To:"
#define ODDSIDEMARGIN     -12
#define TOPMARGIN         -30
#define HEADHEIGHT        0
#define HEADSEP           0
#define FOOTSKIP          6
#define A4TEXTHEIGHT      770 
#define USTEXTHEIGHT      718
#define FBOXSEP           8             /* >3 */
#define SEP1              10
#define SEP2              20
#define MAXTFROM          0
#define ITEMSEP           -4
#define RULEH             "1.250"
#define BOXLINECOLOR      0.000         /* (black) from greyscale */
#define BOXBCKGRDCOLOR    0.929         /* from grey scale */



#define TEXTWIDTH         498.75        /* optimum */
#define BOXLENGTH         491.95

#define A4PAPER    "a4paper"
#define USPAPER    "letterpaper"
#define TMPREFIX   "MIMEP"
#define MMPREFIX   "mm."
#define NOOUTPUTFILE "nofile"
#define MAXARRAY   512
#define MIMEPOUT   "MIMEPOUT="
#define MIMEPBOUND "MIMEPBOUND="
#define MIMEPMAXCH "MIMEPMAXCH="
#define MIMEPRULEH "MIMEPRULEH="
#define MIMEPPRINT "MIMEPPRINTER="
#define MIMEPMAILCAP "MAILCAPS="
#define MIMEPTMPDIR "MIMEPTMPDIR"
#define DEFTMPDIR  "/tmp"
#define DEFAULTB   "default"
#define NOB        "none"
#define MINTSIZE   10
#define MAXTSIZE   12
#define EOS        '\0'
#define SLASH      '/'
#define SLASHSTR   "/"
#define POINT      '.'
#define MAXF       75
#define FP(param) fprintf(fp_out, "%s\n", param)

/* Pieces of command lines */

#define METAMAIL   "metamail -h -q "
#define LATEX      "latex "
#define LPR        "lpr "
#define DVIPS      "dvips -q "
#define RM         "/bin/rm "
#define DVIPSO     " -o "
#define TOPRINTER  "'!lpr"
#define DVIPSF     " -f"
#define LPRP       " -P"
#define LPRH       " -h "
#define SPACESTR   " "
#define ENDVIPSO   "'"
#define TONULL     " >/dev/null"
#define PSSUFFIX   ".ps"
#define DVISUFFIX  ".dvi"
#define AUXSUFFIX  ".aux"
#define LOGSUFFIX  ".log"
#define STAR       "*"

FILE *fp_in,
     *fp_out;

int argc;
char **argv;

static bool fromstdin;
static bool printpagenum;

static char *printername;
static bool burstpage;
static bool toprinter;
static bool tofile;
static bool tostdout;
static char *TMPDIR;

/* Usage of the command */

  static char *args[] = 
    {
      "mimep",                            /* program name */
      "[source_file]",     
      "[-o target_file]", 	
      "[-f]",
      "[-fp]",                   
      "[-printer printername]",
      "[-a4]",                  
      "[-us]",                  
      "[-typesize size]",       
      "[-noburstpage]",
      "[-nopagenum]",
      "[-addhdrs headertype...]",
      "[-rmhdrs headertype...]", 
      "[-allheaders]",           
      "[-boundary filename|default|none]",
      "[-mailcap filename]",
      NULL
      };

/* Comments added to the usage */
  static char *comments[] = 
    {
      "MIMEP by Mikael CAM for the CRI of Rennes1 and the internet community...",
      "MIMEP, the Multimedia Internet Message printer!",
      NULL
      };



  static char *nbmaxcar[] =
    {
      "95", /* maximum length of a line in US or A4 format with a 10pt type size */
      "86", /* same with a 11pt type size */
      "80"  /* ............12pt.......... */
    };


/* LaTeX' special symbols */

  static char *specar[] = {
                     "$",                  "\\$",
		     "&",                  "\\&",
		     "%",                  "\\%",
		     "#",                  "\\#",
		     "_",                  "\\_",
		     "{",                  "\\{",
		     "}",                  "\\}",
		     "\\",                 "$\\backslash$",
		     "|",                  "$|$",
		     "<",                  "$<$",
		     ">",                  "$>$",
		     "~",                  "$\\sim$",
		     "^",                  "$\\wedge$",
		     NULL,                 NULL
		   };




void latex_header(void);
char *inputfilename(void);
void mk_headers(void);
char *outputfilename(void);
bool istoprint(char *hdr);
void latex_enddoc(void);
char *removesuffix (char *src_filename);
void maxcarnb (int typeSize);
char *text2latex(char *src_str);
char *getdir(char *path);
void treat_options(void);
void clean(void);










