
/*  @(#)text.c 1.9 95/02/06
 *
 *  Text used by the mptool program. Isolated here, to make it easier to
 *  internationalise.
 *
 *  Copyright (c) Rich Burridge.    All rights reserved.
 *
 *  Permission is given to distribute these sources, as long as the
 *  copyright messages are not removed, and no monies are exchanged.
 *
 *  No responsibility is taken for any errors or inaccuracies inherent
 *  either to the comments or the code of this program, but if
 *  reported to me then an attempt will be made to fix them.
 */

#include <X11/Intrinsic.h>
#include "text.h"

#ifndef NO_I18N
nl_catd MP_catd ;
#endif /*NO_I18N*/

/* Main frame help strings. */

String wi_main_frame_help[MAIN_FRAME_LEN] ;
String wi_filename_help[FILENAME_LEN] ;
String wi_preferences_help[PREFERENCES_LEN] ;
String wi_headers_help[HEADERS_LEN] ;
String wi_file_type_help[FILE_TYPE_LEN] ;
String wi_org_type_help[ORG_TYPE_LEN] ;
String wi_output_help[OUTPUT_LEN] ;
String wi_paper_size_help[PAPER_SIZE_LEN] ;
String wi_subject_help[SUBJECT_LEN] ;
String wi_copies_help[COPIES_LEN] ;
String wi_no_sides_help[NO_SIDES_LEN] ;
String wi_print_help[PRINT_LEN] ;
String wi_reset_help[RESET_LEN] ;
String wi_menu_bar_help[MENU_BAR_LEN] ;
String wi_exit_help[EXIT_LEN] ;
String wi_help_help[HELP_LEN] ;

/* Printing popup help strings. */

String wi_props_frame_help[PROPS_FRAME_LEN] ;
String wi_props_col_help[PROPS_COL_LEN] ;
String wi_props_tab_help[PROPS_TAB_LEN] ;
String wi_props_margin_help[PROPS_MARGIN_LEN] ;
String wi_props_wrap_help[PROPS_WRAP_LEN] ;
String wi_props_flip_help[PROPS_FLIP_LEN] ;
String wi_props_forcepage_help[PROPS_FORCEPAGE_LEN] ;
String wi_props_number_help[PROPS_NUMBER_LEN] ;
String wi_props_reverse_help[PROPS_REVERSE_LEN] ;
String wi_props_apply_help[PROPS_APPLY_LEN] ;
String wi_props_defs_help[PROPS_DEFS_LEN] ;
String wi_props_reset_help[PROPS_RESET_LEN] ;
String wi_props_dismiss_help[PROPS_DISMISS_LEN] ;
String wi_opt_header_help[OPT_HEADER_LEN] ;

/* Username popup help strings. */

String wi_un_form_help[UN_FORM_LEN] ;
String wi_un_apply_help[UN_APPLY_LEN] ;
String wi_un_reset_help[UN_RESET_LEN] ;
String wi_un_dismiss_help[UN_DISMISS_LEN] ;
String wi_aliasname_help[ALIASNAME_LEN] ;
String wi_props_passc_help[PROPS_PASSC_LEN] ;
String wi_props_passw_help[PROPS_PASSW_LEN] ;

/* Output popup help strings. */

String wi_output_frame_help[OUTPUT_FRAME_LEN] ;
String wi_output_apply_help[OUTPUT_APPLY_LEN] ;
String wi_output_reset_help[OUTPUT_RESET_LEN] ;
String wi_output_dismiss_help[OUTPUT_DISMISS_LEN] ;
String wi_output_bsd_help[OUTPUT_BSD_LEN] ;
String wi_line_length_help[LINE_LENGTH_LEN] ;
String wi_page_length_help[PAGE_LENGTH_LEN] ;
String wi_printer_name_help[PRINTER_NAME_LEN] ;

/* Input popup help strings. */

String wi_input_frame_help[INPUT_FRAME_LEN] ;
String wi_prologue_help[PROLOGUE_LEN] ;
String wi_opt_folder_help[OPT_FOLDER_LEN] ;
String wi_opt_digest_help[OPT_DIGEST_LEN] ;
String wi_props_elm_help[PROPS_ELM_LEN] ;
String wi_props_from_help[PROPS_FROM_LEN] ;
String wi_props_content_help[PROPS_CONTENT_LEN] ;
String wi_props_modtime_help[PROPS_MODTIME_LEN] ;
String wi_input_apply_help[INPUT_APPLY_LEN] ;
String wi_input_reset_help[INPUT_RESET_LEN] ;
String wi_input_dismiss_help[INPUT_DISMISS_LEN] ;

/* Header popup help strings. */

String wi_header_frame_help[HEADER_FRAME_LEN] ;
String wi_headers_all_help[HEADERS_ALL_LEN] ;
String wi_hdr_list_help[HDR_LIST_LEN] ;
String wi_hdr_add_help[HDR_ADD_LEN] ;
String wi_hdr_apply_help[HDR_APPLY_LEN] ; 
String wi_hdr_dismiss_help[HDR_DISMISS_LEN] ; 
String wi_hdr_remove_help[HDR_REMOVE_LEN] ; 
String wi_hdr_reset_help[HDR_RESET_LEN] ; 

/* Help popup help strings. */

String wi_help_text_help[HELP_TEXT_LEN] ; 
String wi_help_dismiss_help[HELP_DISMISS_LEN] ;

/* Various miscellaneous strings. */
 
String mptool_strs[MPTOOL_STRS_LEN] ;


void
init_text()
{
  char **s ;
  int i ;

/* WI_MAIN_FRAME and WI_FORM1 */

  i = 0 ;
  s = wi_main_frame_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "General.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "--------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "The mp program is used to pretty print mail, news articles or ordinary") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "text files. There are now lots of command line options to mp which can") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "be used to setup various options to change the way the text is output.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "These are not always easy to remember. The mptool program is provided") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "as a simpler means of setting these options and thereby making it") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "easier to print your files in the desired format.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "It is also possible to select text in another Motif application, and") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "drag and drop that text over the mptool open window, and it will be") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "automatically printed out using the current settings.") ;
  s[i++] = NULL ;


/* WI_FILENAME_LABEL and WI_FILENAME */

  i = 0 ;
  s = wi_filename_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Filenames.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "----------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "The file(s) to be printed. Note that this field can contain multiple") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "filenames. These should be separated by spaces. If any of the filenames") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "contain a space character, then that filename needs to be quoted.") ;
  s[i++] = NULL ;


/* WI_PREFERENCES */

  i = 0 ;
  s = wi_preferences_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Display a separate preferences window containing more options that") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "can be set to adjust how the files are printed.") ;
  s[i++] = NULL ;


/* WI_HEADERS */

  i = 0 ;
  s = wi_headers_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Display a separate window allowing you to set which mail or news") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "header lines you'd like printed.") ;
  s[i++] = NULL ;


/* WI_FILE_TYPE_LABEL and WI_FILE_TYPE */

  i = 0 ;
  s = wi_file_type_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Input type.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "-----------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Determines the type of file(s) to be printed, and how they should be") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "printed. These fall into four types. All the file(s) are assumed to be") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "of the type specified.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Mail       - File(s) are mail messages.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "News       - File(s) are USENET news articles.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "PostScript - File(s) are pure PostScript.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Text       - File(s) are ordinary ASCII text files.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Select the type you require.") ;
  s[i++] = NULL ;


/* WI_ORG_TYPE_LABEL and WI_ORG_TYPE */

  i = 0 ;
  s = wi_org_type_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Organiser.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "----------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "File(s) can be printed in various personal organiser formats. Mptool") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "supports the following types:") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Filofax, Franklin, Proplan, Time Manager, Time/System (International)") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "and Time/System (Partner).") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Select the one you require.") ;
  s[i++] = NULL ;


/* WI_OUT_LABEL and WI_OUT_TYPE */

  i = 0 ;
  s = wi_output_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Output type.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "------------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Output will be printed in either portrait, landscape or a personal") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "organiser mode depending upon how you set this option.") ;
  s[i++] = NULL ;


/* WI_PAPER_SIZE_LABEL and WI_PAPER_SIZE */

  i = 0 ;
  s = wi_paper_size_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Paper Size.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "-----------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Specifies the paper size to assume when output text. There are three") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "choices:") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "None - Will use the full size of the paper.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "A4   - Use A4 paper size (8.5 x 11.4 inches).") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "US   - Use US paper size (8.5 x 11   inches).") ;
  s[i++] = NULL ;


/* WI_SUBJECT_LABEL and WI_SUBJECT */

  i = 0 ;
  s = wi_subject_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Subject.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "--------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "What you type into this textfield will be used as the subject for the") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "printout. If you are printing ordinary ASCII files the subject will") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "default to the name of each of these files.") ;
  s[i++] = NULL ;


/* WI_LINE_LENGTH_LABEL and WI_LINE_LENGTH */

  i = 0 ;
  s = wi_line_length_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Line Length.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "------------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "This will be the maximum number of characters on each line of output.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "This value will override the default value in the prologue file.") ;
  s[i++] = NULL ;


/* WI_PAGE_LENGTH_LABEL and WI_PAGE_LENGTH */

  i = 0 ;
  s = wi_page_length_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Page Length.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "------------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "This will be the maximum number of lines on each page of output. This") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "value will override the default value in the prologue file.") ;
  s[i++] = NULL ;


/* WI_COPIES_LABEL and WI_COPIES */

  i = 0 ;
  s = wi_copies_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Copies.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "-------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "The number of copies of each file, that should be printed.") ;
  s[i++] = NULL ;


/* WI_PRINTER_NAME_LABEL and WI_PRINTER_NAME */

  i = 0 ;
  s = wi_printer_name_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Printer Name.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "-------------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "The name of the printer that the output should be sent to. If this") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "textfield is empty, than output will be sent to the default printer") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "(which is given by the PRINTER environment variable on BSD systems, or") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "by the LPDEST environment variable on System V systems).") ;
  s[i++] = NULL ;


/* WI_NO_SIDES_LABEL and WI_NO_SIDES */

  i = 0 ;
  s = wi_no_sides_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Number of Sides.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "----------------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "The number of sides to use when printing. Obviously two-sided printing") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "only works if the printer supports it.") ;
  s[i++] = NULL ;


/* WI_PRINT */

  i = 0 ;
  s = wi_print_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Print.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "When this button is pressed, the file(s) given, are printed, using the") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "current option settings.") ;
  s[i++] = NULL ;


/* WI_RESET */

  i = 0 ;
  s = wi_reset_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Reset.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Reset all the options in the main mptool window back to their default") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "values.") ;
  s[i++] = NULL ;


/* WI_PROPS_FRAME and WI_FORM */

  i = 0 ;
  s = wi_props_frame_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Print Layout Options.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "---------------------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "This popup window contains printing options that are not so commonly") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "used. These options can just be applied to the current print run, or") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "they can be made the default.") ;
  s[i++] = NULL ;


/* WI_ALIASNAME_LABEL and WI_ALIASNAME */

  i = 0 ;
  s = wi_aliasname_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Alias Name.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "-----------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "The user name alias that should be printed out in the mp banner") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "heading, to show who the output is for. This will override the") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "NAME environment variable and the users entry in the password file.") ;
  s[i++] = NULL ;

/* WI_PROLOGUE_LABEL and WI_PROLOGUE */

  i = 0 ;
  s = wi_prologue_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Prologue Name.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "--------------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "The name of the POSTSCRIPT prologue file that should be used to") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "determine how the file(s) should be printed. This overrides any") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "any previously defined prologue file names.") ;
  s[i++] = NULL ;


/* WI_PROPS_COL_LABEL and WI_PROPS_COL */

  i = 0 ;
  s = wi_props_col_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Columns per page.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "-----------------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "The number of columns of output per page. This value will override") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "the default value in the prologue file.") ;
  s[i++] = NULL ;


/* WI_PROPS_TAB_LABEL and WI_PROPS_TAB */

  i = 0 ;
  s = wi_props_tab_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Spaces per Tab character.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "-------------------------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "The number of spaces to output when encountering a tab character.") ;
  s[i++] = NULL ;


/*  WI_PRINT_MLABEL,  WI_PRINT_TMARGIN, WI_PRINT_LMARGIN, WI_PRINT_BMARGIN,
 *  WI_PRINT_RMARGIN, WI_PRINT_LMLABEL, WI_PRINT_BMLABEL, WI_PRINT_RMLABEL and
 *  WI_PRINT_TMLABEL
 */

  i = 0 ;
  s = wi_props_margin_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Margin sizes.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "-------------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "The size (in points) to set this margin to. There are approximately") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "72 points in an inch.") ;
  s[i++] = NULL ;


/* WI_PROPS_PASSC_LABEL and WI_PROPS_PASSC */

  i = 0 ;
  s = wi_props_passc_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Characters in User Name.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "------------------------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "The maximum number of characters to extract from the gecos field of") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "the users /etc/passwd entry.") ;
  s[i++] = NULL ;


/* WI_PROPS_PASSW_LABEL and WI_PROPS_PASSW */

  i = 0 ;
  s = wi_props_passw_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Words in User Name.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "-------------------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "The maximum number of words to extract from the gecos field of the") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "users /etc/passwd entry.") ;
  s[i++] = NULL ;


/* WI_OPT_HEADER */

  i = 0 ;
  s = wi_opt_header_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Print header page.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "------------------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "If this option is checked, than the initial banner page is not printed.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Most of the information that typically appears on the banner sheet is") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "output in the mp banners.") ;
  s[i++] = NULL ;


/* WI_OPT_FOLDER */

  i = 0 ;
  s = wi_opt_folder_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Folders.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "--------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "If this option is checked, then the input file(s) are assumed to be") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "mail folders, and mp will search for multiple mail messages in each") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "file.") ;
  s[i++] = NULL ;


/* WI_OPT_DIGEST */

  i = 0 ;
  s = wi_opt_digest_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Digests.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "--------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "If this option is checked, then the output is formatted as a mail") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "digest.") ;
  s[i++] = NULL ;


/* WI_PROPS_WRAP */

  i = 0 ;
  s = wi_props_wrap_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Wrap words.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "-----------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "If this option is checked, then words will be wrapped onto the next") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "line of output.") ;
  s[i++] = NULL ;


/* WI_PROPS_FLIP */

  i = 0 ;
  s = wi_props_flip_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Flip banners.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "-------------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "If this option is checked, then the top and bottom banners of the") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "output on each page will be flipped.") ;
  s[i++] = NULL ;


/* WI_PROPS_FORCEPAGE */

  i = 0 ;
  s = wi_props_forcepage_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Force new page.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "---------------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "If this option is checked, then mptool will always start a new page") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "(rather than a new column) when in landscape or multi-page personal") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "organiser mode.") ;
  s[i++] = NULL ;


/* WI_PROPS_ELM */

  i = 0 ;
  s = wi_props_elm_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Elm mail format.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "----------------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "If this option is checked, then mptool assumes the ELM mail frontend") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "intermediate file format. Used when printing messages from within ELM") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "(using the \"p\" command), especially for printing tagged messages.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "This option must be specified in your ELM option setup.") ;
  s[i++] = NULL ;


/* WI_PROPS_NUMBER */

  i = 0 ;
  s = wi_props_number_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Number each line.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "-----------------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "If this option is checked, then each line output will be numbered.") ;
  s[i++] = NULL ;


/* WI_PROPS_FROM */

  i = 0 ;
  s = wi_props_from_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "From header.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "------------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "If this option is checked, instead of printing who the mail article") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "is for, the header will contain who the mail article is from. A") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "useful option for people with their own personal printer.") ;
  s[i++] = NULL ;


/* WI_PROPS_CONTENT */

  i = 0 ;
  s = wi_props_content_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Content-Length.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "---------------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "If this option is checked, instead of using \"From\" to denote the") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "start of new mail messages, mp will look for (and use) the value of") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "the Content-Length: mail header. If the Content-Length doesn't take") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "you to the next \"From\", then it's wrong, and mp falls back to") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "looking for the next \"From\" in the mail folder.") ;
  s[i++] = NULL ;


/* WI_PROPS_MODTIME */

  i = 0 ;
  s = wi_props_modtime_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "File modification time.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "-----------------------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "If this option is checked, then mptool uses the files last modification") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "time (rather than the current time) in each page banner.") ;
  s[i++] = NULL ;


/* WI_PROPS_REVERSE */

  i = 0 ;
  s = wi_props_reverse_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Adjust reverse page.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "--------------------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "If this option is checked, and if we are printing two sides per page,") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "then adjust the alignment of the reverse page.") ;
  s[i++] = NULL ;


/* WI_PROPS_APPLY */

  i = 0 ;
  s = wi_props_apply_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Apply.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "You must select the Apply button before the printing options currently") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "set in this popup window are applied.") ;
  s[i++] = NULL ;


/* WI_PROPS_DEFS */

  i = 0 ;
  s = wi_props_defs_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Save as defaults.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "-----------------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Selecting the Save as Defaults option saves the current mp option") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "setting to the defaults the next time mptool is started.") ;
  s[i++] = NULL ;


/* WI_PROPS_RESET */

  i = 0 ;
  s = wi_props_reset_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Reset.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Clicking on the Reset button on the printing popup, resets these") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "option values back to their default values.") ;
  s[i++] = NULL ;


/* WI_PROPS_DISMISS */

  i = 0 ;
  s = wi_props_dismiss_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Dismiss.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "--------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Clicking on the Dismiss button dismisses the print layout popup.") ;
  s[i++] = NULL ;


/* WI_HEADER_FORM */

  i = 0 ;
  s = wi_header_frame_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Header Options.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "---------------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "This popup window contains header options that are not so commonly") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "used. These options can just be applied to the current print run, or") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "they can be made the default.") ;
  s[i++] = NULL ;


/* WI_HDRS_ALL */

  i = 0 ;
  s = wi_headers_all_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Print all headers.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "------------------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "If you want all the headers in your mail and news messages to") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "be printed, check this option. This will over-ride any header") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "settings in the scrolling list.") ;
  s[i++] = NULL ;


/* WI_HDR_LIST */

  i = 0 ;
  s = wi_hdr_list_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Header list.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "------------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Initially this scrolling list contains all the mail headers that will") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "be printed, assuming they exist in the input file(s). You can add") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "extra headers to be printed, to this list, or remove some of the") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "existing list.") ;
  s[i++] = NULL ;


/* WI_HDR_LIST_ADD, WI_HDR_ADD_BUTTON and WI_HDR_ADD_LABEL */

  i = 0 ;
  s = wi_hdr_add_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Add.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "----") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "By default mp will print out a standard set of mail and news headers.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "These headers are initially placed in the scrolling list. To add more") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "headers to this list, type the name of the new headers into the text") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "field below the list, and then press the Add button at the top of the") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "panel. If the new header isn't terminated with a ':' character, then") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "one is automatically added.") ;
  s[i++] = NULL ;


/* WI_HDR_APPLY */

  i = 0 ;
  s = wi_hdr_apply_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Apply.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "You must select the Apply button before the header options currently") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "set in this popup window are applied.") ;
  s[i++] = NULL ;


/* WI_HDR_DISMISS */

  i = 0 ;
  s = wi_hdr_dismiss_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Dismiss.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "--------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Clicking on the Dismiss button dismisses the header popup.") ;
  s[i++] = NULL ;


/* WI_HDR_REMOVE */

  i = 0 ;
  s = wi_hdr_remove_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Remove.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "-------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "By default mp will print out a standard set of mail and news headers.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "These headers are initially placed in the scrolling list. To remove a") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "header from this list, simply select it, then press the Remove button") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "at the top of the popup.") ;
  s[i++] = NULL ;


/* WI_HDR_RESET */

  i = 0 ;
  s = wi_hdr_reset_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Reset.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Clicking on the Reset button on the header popup, resets these") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "option values back to their default values.") ;
  s[i++] = NULL ;


/* WI_INPUT_FORM */

  i = 0 ;
  s = wi_input_frame_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Input Options.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "--------------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "This popup window contains input options that are not so commonly") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "used. These options can just be applied to the current print run, or") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "they can be made the default.") ;
  s[i++] = NULL ;


/* WI_INPUT_APPLY */

  i = 0 ;
  s = wi_input_apply_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Apply.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "You must select the Apply button before the input options currently") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "set in this popup window are applied.") ;
  s[i++] = NULL ;


/* WI_INPUT_RESET */

  i = 0 ;
  s = wi_input_reset_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Reset.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Clicking on the Reset button on the input popup, resets these") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "option values back to their default values.") ;
  s[i++] = NULL ;


/* WI_INPUT_DISMISS */

  i = 0 ;
  s = wi_input_dismiss_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Dismiss.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "--------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Clicking on the Dismiss button dismisses the input popup.") ;
  s[i++] = NULL ;


/* WI_OUTPUT_FORM */

  i = 0 ;
  s = wi_output_frame_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Output Options.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "---------------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "This popup window contains output options that are not so commonly") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "used. These options can just be applied to the current print run, or") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "they can be made the default.") ;
  s[i++] = NULL ;


/* WI_OUTPUT_APPLY */

  i = 0 ;
  s = wi_output_apply_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Apply.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "You must select the Apply button before the output options currently") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "set in this popup window are applied.") ;
  s[i++] = NULL ;


/* WI_OUTPUT_RESET */

  i = 0 ;
  s = wi_output_reset_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Reset.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Clicking on the Reset button on the output popup, resets these") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "option values back to their default values.") ;
  s[i++] = NULL ;


/* WI_OUTPUT_DISMISS */

  i = 0 ;
  s = wi_output_dismiss_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Dismiss.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "--------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Clicking on the Dismiss button dismisses the output popup.") ;
  s[i++] = NULL ;


/* WI_UN_FORM */

  i = 0 ;
  s = wi_un_form_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "User Name Options.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "------------------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "This popup window contains username options that are not so commonly") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "used. These options can just be applied to the current print run, or") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "they can be made the default.") ;
  s[i++] = NULL ;

/* WI_UN_APPLY */

  i = 0 ;
  s = wi_un_apply_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Apply.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "You must select the Apply button before the username options") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "currently set in this popup window are applied.") ;
  s[i++] = NULL ;


/* WI_UN_RESET */

  i = 0 ;
  s = wi_un_reset_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Reset.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Clicking on the Reset button on the username popup, resets these") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "option values back to their default values.") ;
  s[i++] = NULL ;


/* WI_UN_DISMISS */

  i = 0 ;
  s = wi_un_dismiss_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Dismiss.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "--------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Clicking on the Dismiss button dismisses the username popup.") ;
  s[i++] = NULL ;


/* WI_MENU_BAR, WI_FILE_MB, WI_FILE_MENU, WI_OPTIONS and WI_OPTIONS_MENU */

  i = 0 ;
  s = wi_menu_bar_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "The main mptool window contains the options and settings that you") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "would normally need to change to printout your files. There are") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "many more options to mp as well, most of them are not normally") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "changed. These are available on various configuration popups,") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "which are accessable through the Option setting on this menu bar.") ;
  s[i++] = NULL ;


/* WI_EXIT */

  i = 0 ;
  s = wi_exit_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Selecting this option will terminate the mptool program.") ;
  s[i++] = NULL ;


/* WI_HELP */

  i = 0 ;
  s = wi_help_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Selecting an entry from this menu will bring up a popup window") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "giving more help information on this option.") ;
  s[i++] = NULL ;


/* WI_OUTPUT_BSD */

  i = 0 ;
  s = wi_output_bsd_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "BSD printer system.") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "-------------------") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "If the system you will be printing on is a BSD system (as opposed") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "to a System V system), then this option should be checked. A") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "different print command is needed in this case.") ;
  s[i++] = NULL ;


/* WI_HELP_FORM and WI_HELP_TEXT */

  i = 0 ;
  s = wi_help_text_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "This popup window shows the help text associated with the option") ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "you have selected.") ;
  s[i++] = NULL ;


/* WI_HELP_DISMISS */

  i = 0 ;
  s = wi_help_dismiss_help ;
  s[i++] = catgets(MP_catd, MP_SET, -1, "Clicking on the Dismiss button dismisses the help popup.") ;
  s[i++] = NULL ;


/* The miscellaneous array. */

  s = mptool_strs ;
  s[(int) S_USAGE]     = catgets(MP_catd, MP_SET, -1, "Mptool  -  Version 3.1.%1d") ;
  s[(int) S_NOTHING]   = catgets(MP_catd, MP_SET, -1, "Nothing to add.") ;
  s[(int) S_NONE]      = catgets(MP_catd, MP_SET, -1, "No items selected.") ;
  s[(int) S_INVCOL]    = catgets(MP_catd, MP_SET, -1, "Invalid number of columns per page. Resetting to %d\n") ;
  s[(int) S_INVTAB]    = catgets(MP_catd, MP_SET, -1, "Invalid number of space per tab. Resetting to %d\n") ;
  s[(int) S_INVLINE]   = catgets(MP_catd, MP_SET, -1, "Invalid line length. Resetting to %d\n") ;
  s[(int) S_INVPAGE]   = catgets(MP_catd, MP_SET, -1, "Invalid page length. Resetting to %d\n") ;
  s[(int) S_INVCOPIES] = catgets(MP_catd, MP_SET, -1, "Invalid number of copies. Resetting to %d\n") ;
  s[(int) S_NOFILES]   = catgets(MP_catd, MP_SET, -1, "No files to print.") ;
  s[(int) S_START]     = catgets(MP_catd, MP_SET, -1, "Unable to start print job") ;
  s[(int) S_EXECUTE]   = catgets(MP_catd, MP_SET, -1, "Unable to execute print job") ;
  s[(int) S_INVCHARS]  = catgets(MP_catd, MP_SET, -1, "Invalid number of characters in user name. Resetting to %d\n") ;
  s[(int) S_INVWORDS]  = catgets(MP_catd, MP_SET, -1, "Invalid number of words in user name. Resetting to %d\n") ;
  s[(int) S_DRAGDROP]  = catgets(MP_catd, MP_SET, -1, "Couldn't write drag & drop text to %s\n") ;
  s[(int) S_BMARGIN]   = catgets(MP_catd, MP_SET, -1, "Invalid bottom margin size. Resetting to %d\n") ;
  s[(int) S_LMARGIN]   = catgets(MP_catd, MP_SET, -1, "Invalid left margin size. Resetting to %d\n") ;
  s[(int) S_RMARGIN]   = catgets(MP_catd, MP_SET, -1, "Invalid right margin size. Resetting to %d\n") ;
  s[(int) S_TMARGIN]   = catgets(MP_catd, MP_SET, -1, "Invalid top margin size. Resetting to %d\n") ;
}
