
/*  @(#)text.h 1.9 95/02/06
 *
 *  Mptool string definitions.
 *
 *  Copyright (c) Rich Burridge.    All rights reserved.
 *
 *  Permission is given to distribute these sources, as long as the
 *  copyright messages are not removed, and no monies are exchanged.
 *
 *  No responsibility is taken for any errors or inaccuracies inherent
 *  either to the comments or the code of this program, but if
 *  reported to me then an attempt will be made to fix them.
 */

#ifndef NO_I18N
#include <nl_types.h>

#define  MP_SET                1
#endif /*NO_I18N*/

/* Main frame string lengths. */

#define  MAIN_FRAME_LEN        13
#define  FILENAME_LEN          6
#define  PREFERENCES_LEN       3
#define  HEADERS_LEN           3 
#define  FILE_TYPE_LEN         16
#define  ORG_TYPE_LEN          10
#define  OUTPUT_LEN            5
#define  PAPER_SIZE_LEN        9
#define  SUBJECT_LEN           6
#define  COPIES_LEN            4
#define  NO_SIDES_LEN          5
#define  PRINT_LEN             5
#define  RESET_LEN             5
#define  MENU_BAR_LEN          6
#define  EXIT_LEN              2
#define  HELP_LEN              3

/* Printing popup help strings. */

#define  PROPS_FRAME_LEN       6 
#define  PROPS_COL_LEN         5  
#define  PROPS_TAB_LEN         4  
#define  PROPS_MARGIN_LEN      5
#define  OPT_HEADER_LEN        6 
#define  PROPS_WRAP_LEN        5  
#define  PROPS_FLIP_LEN        5  
#define  PROPS_FORCEPAGE_LEN   6
#define  PROPS_NUMBER_LEN      4  
#define  PROPS_REVERSE_LEN     5
#define  PROPS_APPLY_LEN       5  
#define  PROPS_DEFS_LEN        5  
#define  PROPS_RESET_LEN       5  
#define  PROPS_DISMISS_LEN     4

/* Username popup string lengths. */
 
#define  UN_FORM_LEN           6
#define  UN_APPLY_LEN          5
#define  UN_RESET_LEN          5
#define  UN_DISMISS_LEN        4
#define  ALIASNAME_LEN         6 
#define  PROPS_PASSC_LEN       5 
#define  PROPS_PASSW_LEN       5 

/* Output popup string lengths. */

#define  OUTPUT_FRAME_LEN      6
#define  OUTPUT_APPLY_LEN      5
#define  OUTPUT_RESET_LEN      5
#define  OUTPUT_DISMISS_LEN    4
#define  OUTPUT_BSD_LEN        6
#define  LINE_LENGTH_LEN       5 
#define  PAGE_LENGTH_LEN       5 
#define  PRINTER_NAME_LEN      7 

/* Input popup string lengths. */

#define  INPUT_FRAME_LEN       6
#define  PROLOGUE_LEN          6
#define  OPT_FOLDER_LEN        6
#define  OPT_DIGEST_LEN        5
#define  PROPS_ELM_LEN         7
#define  PROPS_FROM_LEN        6
#define  PROPS_CONTENT_LEN     8
#define  PROPS_MODTIME_LEN     5
#define  INPUT_APPLY_LEN       5
#define  INPUT_RESET_LEN       5
#define  INPUT_DISMISS_LEN     4

/* Header popup string lengths. */

#define  HEADER_FRAME_LEN      6
#define  HEADERS_ALL_LEN       6
#define  HDR_LIST_LEN          7
#define  HDR_ADD_LEN           9
#define  HDR_APPLY_LEN         5
#define  HDR_DISMISS_LEN       4
#define  HDR_REMOVE_LEN        7
#define  HDR_RESET_LEN         5

/* Help popup string lengths. */

#define  HELP_TEXT_LEN         3
#define  HELP_DISMISS_LEN      2

/* Various miscellaneous strings used by mptool array length. */

#define  MPTOOL_STRS_LEN       18

#define  catgets(fd, setid, id, str)  str

enum str_type   { S_USAGE,    S_NOTHING,  S_NONE,    S_INVCOL,
                  S_INVTAB,   S_INVLINE,  S_INVPAGE, S_INVCOPIES,
                  S_NOFILES,  S_START,    S_EXECUTE, S_INVCHARS,
                  S_INVWORDS, S_DRAGDROP, S_BMARGIN, S_LMARGIN,
                  S_RMARGIN,  S_TMARGIN } ;

void init_text(void) ;

/* Main frame help strings. */

extern String wi_main_frame_help[] ;
extern String wi_filename_help[] ;
extern String wi_preferences_help[] ;
extern String wi_headers_help[] ;
extern String wi_file_type_help[] ;
extern String wi_org_type_help[] ;
extern String wi_output_help[] ;
extern String wi_paper_size_help[] ;
extern String wi_subject_help[] ;
extern String wi_copies_help[] ;
extern String wi_no_sides_help[] ;
extern String wi_print_help[] ;
extern String wi_reset_help[] ;
extern String wi_menu_bar_help[] ;
extern String wi_exit_help[] ;
extern String wi_help_help[] ;

/* Printing popup help strings. */

extern String wi_props_frame_help[] ;
extern String wi_props_col_help[] ;
extern String wi_props_tab_help[] ;
extern String wi_props_margin_help[] ;
extern String wi_props_wrap_help[] ;
extern String wi_props_flip_help[] ;
extern String wi_props_forcepage_help[] ;
extern String wi_props_number_help[] ;
extern String wi_props_reverse_help[] ;
extern String wi_props_apply_help[] ;
extern String wi_props_defs_help[] ;
extern String wi_props_reset_help[] ;
extern String wi_props_dismiss_help[] ;
extern String wi_opt_header_help[] ;

/* Username popup help strings. */

extern String wi_un_form_help[] ;  
extern String wi_un_apply_help[] ;
extern String wi_un_reset_help[] ; 
extern String wi_un_dismiss_help[] ;
extern String wi_aliasname_help[] ;
extern String wi_props_passc_help[] ;
extern String wi_props_passw_help[] ;

/* Output popup help strings. */

extern String wi_output_frame_help[] ; 
extern String wi_output_apply_help[] ;
extern String wi_output_reset_help[] ; 
extern String wi_output_dismiss_help[] ;
extern String wi_output_bsd_help[] ;
extern String wi_line_length_help[] ;
extern String wi_page_length_help[] ;
extern String wi_printer_name_help[] ;

/* Input popup help strings. */

extern String wi_input_frame_help[] ;
extern String wi_prologue_help[] ;
extern String wi_opt_folder_help[] ;
extern String wi_opt_digest_help[] ;
extern String wi_props_elm_help[] ;
extern String wi_props_from_help[] ;
extern String wi_props_content_help[] ;
extern String wi_props_modtime_help[] ;
extern String wi_input_apply_help[] ;
extern String wi_input_reset_help[] ;
extern String wi_input_dismiss_help[] ;

/* Header popup help strings. */

extern String wi_header_frame_help[] ;
extern String wi_headers_all_help[] ;
extern String wi_hdr_list_help[] ;
extern String wi_hdr_add_help[] ;
extern String wi_hdr_apply_help[] ;
extern String wi_hdr_dismiss_help[] ;
extern String wi_hdr_remove_help[] ;
extern String wi_hdr_reset_help[] ;

/* Help popup help strings. */

extern String wi_help_text_help[] ;
extern String wi_help_dismiss_help[] ;

extern String mptool_strs[] ;
